// test

#include <stdio.h>
#include <limits.h>

// výpočet faktoriálu čísla n, při chybě vrací nulu
unsigned long long factorial(int n) {
    unsigned long long vysledek = 1;
    if (n < 0)
        return 0;               // chybová hodnota
    for (int i = 1; i <= n; i++) {
        if (vysledek > ULLONG_MAX / i)  // test překročení mezí
            return 0;           // chybová hodnota
        vysledek *= i;
    }
    return vysledek;
}

// program tiskne faktoriály čísel od 0 do 20
int main(void) {
    for (int n = 0; n <= 21; n++)
        printf("%2d! = %19lld \n", n, factorial(n));
}

