
## test integer overflow undefined behavior (UB)


F=ijc-int-overflow-ub
echo Expect output in file $F.log

exec >$F.log 2>&1

run() {
  CC="gcc -Wall -O2 $CORRECT $1"
  $CC $F.c -o $F$1
  echo "===== Running alternative '$CC'"
  ./$F$1        <<_END_
    2147483640
_END_
  rm ./$F$1     # clean-up
}

run             ## overflow is UB, dead code
run -fwrapv     ## ignore overflow, wrap
run -ftrapv     ## catch overflow, abort

echo
CORRECT=-DCORRECT
run             ## correct overflow test
run -fwrapv     ## ignore overflow, wrap
run -ftrapv     ## catch overflow, abort

