
// basic time utilities in C library

#include <stdio.h>
#include <time.h>
#include <stdint.h>

int main(void)
{
    time_t result = time(NULL);
    if(result == -1) return 1;

    printf("GMT: %s", asctime(gmtime(&result)));
    printf("(%ju seconds since the Epoch)\n", (uintmax_t)result);
    printf("sizeof(time_t) = %zu\n", sizeof(result));
    printf("time_t value (printed as long) = %ld\n", (long)(result));
}

